View Issue Details

IDProjectCategoryView StatusLast Update
14528Bug reports[All Projects] Central participant databasepublic2019-06-03 17:05
ReporterkappernetAssigned Top_teichmann 
PrioritynoneSeveritymajor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14528: Participants import from cpdb / access rights
Description

hi,
i have created an admin with limited access io a specific survey,
this admin hast forthermore the global right to see CPDB.

when logged in, this admin just sees the specific survey he should.

He selects this survey and selects "Survey menu | Survey Participants | view in CPDB".

He removes "aktive filters" and can see all the participants, that are "shared" with him from the
superadmin.

he selects all of them (checkbox) and selects "add participants to survey".

Then a Pop-up window appears with title "add participants to survey" and
can select ANY Survey via dropddown.

From my point of view this admin should only see the surveys he is allowed to administer.

any hint for my?

help appreciated.

thx

Michael

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.15.9+190214
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmariadb-server 10.1.37
Server OS (if known)debian 9.7
Webserver software & version (if known)apache 2.4.25-3+deb9u6
PHP Versionphp 7.2.15

Related Changesets

LimeSurvey: master b4ff86c4

2019-06-03 16:13:14

p_teichmann

Details Diff
Fixed issue 14528: Teilnehmer Import aus Zentrale Teilnehmerdatenbank / Zugriffsrechte | participants import from cpdb / access rights Affected Issues
14528
mod - application/controllers/admin/participantsaction.php Diff File
mod - application/views/admin/participants/modal_subviews/_addToSurvey.php Diff File

Issue History

Date Modified Username Field Change
2019-02-14 16:16 kappernet New Issue
2019-02-15 14:14 cdorin Status new => confirmed
2019-02-15 14:14 cdorin Note Added: 50570
2019-04-30 10:19 cdorin Assigned To => p_teichmann
2019-04-30 10:19 cdorin Status confirmed => assigned
2019-06-03 16:15 p_teichmann Status assigned => resolved
2019-06-03 16:15 p_teichmann Resolution open => fixed
2019-06-03 16:15 p_teichmann Fixed in Version => 3.17.x
2019-06-03 16:15 p_teichmann Note Added: 52275
2019-06-03 17:03 p_teichmann Changeset attached => LimeSurvey master b4ff86c4
2019-06-03 17:03 p_teichmann Note Added: 52277
2019-06-03 17:05 c_schmitz Summary Teilnehmer Import aus Zentrale Teilnehmerdatenbank / Zugriffsrechte | participants import from cpdb / access rights => Participants import from cpdb / access rights